summaryrefslogtreecommitdiff
path: root/util/qmk_install.sh
diff options
context:
space:
mode:
authorRyan <fauxpark@gmail.com>2020-10-18 02:45:21 +1100
committerDrashna Jael're <drashna@live.com>2021-01-12 22:43:32 -0800
commit02a073ce83acbed1fc4f34af8e4cf2f979d0b972 (patch)
tree78d24e7eedaed67b8dae7ee8bc00359f8de72944 /util/qmk_install.sh
parentaab7d18bcb42774b9f27ed90da2ab18ad04802ca (diff)
MSYS and WSL installation improvements (#10593)
Diffstat (limited to 'util/qmk_install.sh')
-rwxr-xr-xutil/qmk_install.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/util/qmk_install.sh b/util/qmk_install.sh
index 76ecf5fc01..714ee91445 100755
--- a/util/qmk_install.sh
+++ b/util/qmk_install.sh
@@ -7,19 +7,21 @@ case $(uname -a) in
*Darwin*)
exec "${util_dir}/macos_install.sh"
;;
- *Linux*Microsoft*)
- exec "${util_dir}/wsl_install.sh"
- ;;
*FreeBSD*)
exec "${util_dir}/freebsd_install.sh"
;;
*Linux*)
exec "${util_dir}/linux_install.sh"
;;
- MSYS_NT*|MINGW64_NT*|MINGW32_NT*)
+ MINGW64_NT*)
exec "${util_dir}/msys2_install.sh"
;;
+ MSYS_NT*|MINGW32_NT*)
+ echo "Please open a MinGW 64-bit terminal window and re-run this script."
+ exit 1
+ ;;
*)
echo "Environment not supported. Please see https://docs.qmk.fm for details on how to configure the QMK Firmware build tools manually."
+ exit 1
;;
esac